import 'package:verttice_ui/verttice_ui.dart';

bool isNumericColumn(FormItem item) {
  return (item.field is DateFF ||
      item.field is ReadonlyDateFF ||
      item.field is TimeFF ||
      item.field is ReadonlyTimeFF ||
      item.field is ReadonlyDateTimeFF ||
      item.field is NumberFF);
}

String fieldFromPathToField(
  List<String> pathToField,
  Map<String, dynamic> map,
) {
  dynamic nestedElement = map;
  String finalValue = "";
  for (var entry in pathToField.asMap().entries) {
    if (nestedElement is Map) {
      nestedElement = nestedElement[entry.value];
    } else {
      finalValue = nestedElement?.toString() ?? "";
      break;
    }
    if ((entry.key + 1) == pathToField.length) {
      finalValue = nestedElement?.toString() ?? "";
      break;
    }
  }

  return finalValue;
}
